<?php

/**
 * This file is part of the authbucket/oauth2 package.
 *
 * (c) Wong Hoi Sing Edison <hswong3i@pantarei-design.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace AuthBucket\OAuth2\Tests\TestBundle\Entity;

use AuthBucket\OAuth2\Model\AuthorizeInterface;
use AuthBucket\OAuth2\Model\AuthorizeManagerInterface;
use Doctrine\ORM\EntityRepository;

/**
 * AuthorizeRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class AuthorizeRepository extends EntityRepository implements AuthorizeManagerInterface
{
    public function getClass()
    {
        return $this->getClassName();
    }

    public function createAuthorize()
    {
        $class = $this->getClass();

        return new $class();
    }

    public function deleteAuthorize(AuthorizeInterface $authorize)
    {
        $this->getEntityManager()->remove($authorize);
        $this->getEntityManager()->flush();
    }

    public function reloadAuthorize(AuthorizeInterface $authorize)
    {
        $this->getEntityManager()->refresh($authorize);
    }

    public function updateAuthorize(AuthorizeInterface $authorize)
    {
        $this->getEntityManager()->persist($authorize);
        $this->getEntityManager()->flush();
    }

    public function findAuthorizeByClientIdAndUsername($clientId, $username)
    {
        return $this->findOneBy(array(
            'clientId' => $clientId,
            'username' => $username,
        ));
    }
}
